MPD: CurlGlobal Class Reference

MPD 0.20.18

Public Member Functions
CurlGlobal Class Referencefinal

Manager for the global CURLM object. More...

`#include <Global.hxx>`

Inheritance diagram for CurlGlobal:
[legend]
Collaboration diagram for CurlGlobal:
[legend]

## Public Member Functions
| CurlGlobal (EventLoop &_loop)
void | Add (CURL *easy, CurlRequest &request)
void | Remove (CURL *easy)
void | ReadInfo ()
| Check for finished HTTP responses. More...
void | Assign (curl_socket_t fd, CurlSocket &cs)
void | SocketAction (curl_socket_t fd, int ev_bitmask)
void | InvalidateSockets ()
void | ResumeSockets ()
| This is a kludge to allow pausing/resuming a stream with libcurl < 7.32.0. More...
EventLoop & | GetEventLoop ()

## Detailed Description

Manager for the global CURLM object.

Definition at line 43 of file Global.hxx.

## Constructor & Destructor Documentation

## ◆ CurlGlobal()

CurlGlobal::CurlGlobal | ( | EventLoop & | _loop | ) |
| explicit

## Member Function Documentation

## ◆ Add()

void CurlGlobal::Add | ( | CURL * | easy,
|  | CurlRequest & | request
| ) |  |

## ◆ Assign()

void CurlGlobal::Assign | ( | curl_socket_t | fd,
|  | CurlSocket & | cs
| ) |  |
| inline

Definition at line 61 of file Global.hxx.

## ◆ GetEventLoop()

EventLoop& TimeoutMonitor::GetEventLoop
| inline

Definition at line 53 of file TimeoutMonitor.hxx.

## ◆ InvalidateSockets()

void CurlGlobal::InvalidateSockets | ( |  | ) |
| inline

Definition at line 67 of file Global.hxx.

## ◆ ReadInfo()

void CurlGlobal::ReadInfo | ( |  | ) |

Check for finished HTTP responses.

Runs in the I/O thread. The caller must not hold locks.

## ◆ Remove()

void CurlGlobal::Remove | ( | CURL * | easy | ) |

## ◆ ResumeSockets()

void CurlGlobal::ResumeSockets | ( |  | ) |
| inline

This is a kludge to allow pausing/resuming a stream with libcurl < 7.32.0.

Read the curl_easy_pause manpage for more information.

Definition at line 76 of file Global.hxx.

## ◆ SocketAction()

void CurlGlobal::SocketAction | ( | curl_socket_t | fd,
|  | int | ev_bitmask
| ) |  |

The documentation for this class was generated from the following file:

- lib/curl/Global.hxx